package com.forms.actions;

import java.util.Date;

import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Namespace;
import org.apache.struts2.convention.annotation.Result;

import com.forms.model.Cliente__;
import com.opensymphony.xwork2.ActionSupport;

@Namespace(value="/")
@Action(value="datosUsuario",
	results={
		@Result(location="/datos-usuario.jsp", name="success")
})
public class UsuarioAction extends ActionSupport{

	private static final long serialVersionUID = -7037548194143093010L;
	
	private String nombre;
    private String username;
    private String password;
    private int edad;
    private Date fechaNacimiento;
    
    private Cliente__ usuario;
    
    @Override
    public String execute() throws Exception{
    	usuario = new Cliente__();
    	usuario.setNombre(nombre);
    	usuario.setUsername(username);
    	usuario.setPassword(password);
    	usuario.setEdad(edad);
    	usuario.setFechaNac(fechaNacimiento);
    	
    	return SUCCESS;
    }
    
    public Cliente__ getUsuario(){
    	return usuario;
    }
    
    
    
	public String getNombre() {
		return nombre;
	}
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
	public String getUsername() {
		return username;
	}
	public void setUsername(String username) {
		this.username = username;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public int getEdad() {
		return edad;
	}
	public void setEdad(int edad) {
		this.edad = edad;
	}
	public Date getFechaNacimiento() {
		return fechaNacimiento;
	}
	public void setFechaNacimiento(Date fechaNacimiento) {
		this.fechaNacimiento = fechaNacimiento;
	}
    
    

}
