package com.rlozano.tfc.actions.backend.usuarios;

import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Namespace;
import org.apache.struts2.convention.annotation.Result;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import com.rlozano.tfc.dao.UsuarioDAO;
import com.rlozano.tfc.interfaces.ConstatnsInterface;
import com.rlozano.tfc.models.Usuario;


@Namespace(value="/backend/usuarios")
@Action(value="editar", results={
		@Result(location="/backend/editUsuario.jsp", name="success"),
		@Result(location="/error.jsp", name="error")
})
public class EditarUsuarioAction extends ActionSupport implements ConstatnsInterface{

	private static final long serialVersionUID = 673535456578947843L;
	
	private Usuario usuario;
	private Integer id;
	
	public String execute(){
		
		boolean logged = ActionContext.getContext().getSession().get(SESSION) != null;
		if(logged){
			setUsuario(UsuarioDAO.getUsuario(id));
		}
		return logged?SUCCESS:ERROR;
	}
	
	public String getAccion(){
		return "guardar";
	}

	public Usuario getUsuario() {
		return usuario;
	}

	public void setUsuario(Usuario usuario) {
		this.usuario = usuario;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
	
}
