package com.rlozano.tfc.actions.frontend.calendario;

import java.util.ArrayList;
import java.util.List;

import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Namespace;
import org.apache.struts2.convention.annotation.ParentPackage;
import org.apache.struts2.convention.annotation.Result;

import com.opensymphony.xwork2.ActionSupport;
import com.rlozano.tfc.dao.CitasDAO;
import com.rlozano.tfc.models.Cita;


@Namespace(value="/")
@ParentPackage("json-default")
@Action(value="getCitas", results={
		@Result(type="json", name="success", params={"root", "lists"})
})
public class CitasClienteAction extends ActionSupport{

	private static final long serialVersionUID = 6710994786598769158L;
	private List<Cita> lists = new ArrayList<Cita>();
	
	public CitasClienteAction(){
		lists.addAll(CitasDAO.getCitas());
	}
 
	public String execute() {
		return SUCCESS;
	}
	
	public List<Cita> getLists() {
		return lists;
	}
 
	public void setLists(List<Cita> lists) {
		this.lists = lists;
	}
}
