package com.rlozano.tfc.actions.frontend.calendario;

import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Namespace;
import org.apache.struts2.convention.annotation.ParentPackage;
import org.apache.struts2.convention.annotation.Result;

import com.opensymphony.xwork2.ActionSupport;
import com.rlozano.tfc.dao.CitasDAO;
import com.rlozano.tfc.models.Cita;
import com.rlozano.tfc.models.Cliente;


@Namespace(value="/")
@ParentPackage("json-default")
@Action(value="getCitas", results={
		@Result(type="json", name="success", params={"root", "lists"})
})
public class CitasJSONAction extends ActionSupport{
	private List<Cita> lists = new ArrayList<Cita>();
	//private Map<String, String> maps = new HashMap<String, String>();
 
	public CitasJSONAction(){
		lists.addAll(CitasDAO.getCitas());
	
 
		/*maps.put("key1", "value1");
		maps.put("key2", "value2");
		maps.put("key3", "value3");
		maps.put("key4", "value4");
		maps.put("key5", "value5");*/
	}
 
	public String execute() {
		return SUCCESS;
	}
	
	public List<Cita> getLists() {
		return lists;
	}
 
	public void setLists(List<Cita> lists) {
		this.lists = lists;
	}
 
	/*public Map<String, String> getMaps() {
		return maps;
	}
 
	public void setMaps(Map<String, String> maps) {
		this.maps = maps;
	}*/
}
