package com.rlozano.tfc.models;

public class Cliente {
	private int id;
	private String nombre;
	private String apellidos;
	private String telefono;
	private String email;
	private String direccion;
	private String municipio;
	private String provincia;
	private String cp;
	private String patologia;
	private String evolucion;
	
	public Cliente() {
		super();
	}
	public Cliente(int id, String nombre, String apellidos, String telefono,
			String email, String direccion, String municipio, String provincia,
			String cp, String patologia, String evolucion) {
		super();
		this.id = id;
		this.nombre = nombre;
		this.apellidos = apellidos;
		this.telefono = telefono;
		this.email = email;
		this.direccion = direccion;
		this.municipio = municipio;
		this.provincia = provincia;
		this.cp = cp;
		this.patologia = patologia;
		this.evolucion = evolucion;
	}
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getNombre() {
		return nombre;
	}
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
	public String getApellidos() {
		return apellidos;
	}
	public void setApellidos(String apellidos) {
		this.apellidos = apellidos;
	}
	public String getTelefono() {
		return telefono;
	}
	public String getNombreCompleto(){
		return nombre.trim() + " " + apellidos.trim();
	}
	public void setTelefono(String telefono) {
		this.telefono = telefono;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	public String getDireccion() {
		return direccion;
	}
	public void setDireccion(String direccion) {
		this.direccion = direccion;
	}
	public String getMunicipio() {
		return municipio;
	}
	public void setMunicipio(String municipio) {
		this.municipio = municipio;
	}
	public String getProvincia() {
		return provincia;
	}
	public void setProvincia(String provincia) {
		this.provincia = provincia;
	}
	public String getCp() {
		return cp;
	}
	public void setCp(String cp) {
		this.cp = cp;
	}
	public String getPatologia() {
		return patologia;
	}
	public void setPatologia(String patologia) {
		this.patologia = patologia;
	}
	public String getEvolucion() {
		return evolucion;
	}
	public void setEvolucion(String evolucion) {
		this.evolucion = evolucion;
	}
	@Override
	public String toString() {
		return "Cliente [id=" + id + ", nombre=" + nombre + ", apellidos="
				+ apellidos + ", telefono=" + telefono + ", email=" + email
				+ ", direccion=" + direccion + ", municipio=" + municipio
				+ ", provincia=" + provincia + ", cp=" + cp + ", patologia="
				+ patologia + ", evolucion=" + evolucion + "]";
	}
	
	
}
