<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="s"  uri="/struts-tags" %>
<%@ taglib prefix="sb" uri="/struts-bootstrap-tags" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<jsp:include page="header.jsp" />
<s:form action="%{accion}" cssClass="form">

<div class="container">	
	<div class="row">
		<div class="col-xs-6 col-sm-6 col-md-6 col-lg-6">
			<h3><s:if test="%{usuario != null}">Editar</s:if>
				<s:else>Nuevo</s:else> Usuario</h3>
		</div>
		<div class="col-xs-6 col-sm-6 col-md-6 col-lg-6 text-right">
			<a href="/TFC/backend/usuarios" class="btn">Atras</a>
			<button type="submit" class="btn btn-warning">Guardar Usuario</button> 
			<s:if test="%{usuario != null}">
				<button type="button" class="btn btn-danger" data-toggle="modal" data-target="#myModal">
				  Eliminar Usuario
				</button>
			</s:if>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-9 col-sm-9 col-md-9 col-lg-9">
			<div class="row">
				<div class="col-xs-4 col-sm-4 col-md-4 col-lg-4">
					Nombre:<br />
					<input id="nombre" name="nombre" value='<s:property value="usuario.nombre"/>' type="text" class="form-control input-block" placeholder="Nombre"/>
				</div>
				<div class="col-xs-4 col-sm-4 col-md-4 col-lg-4">
					Nombre de Usuario:<br />
					<input id="username" name="username" value='<s:property value="usuario.username"/>' type="text" class="form-control input-block" placeholder="Nombre de Usuario"/>
				</div>
				<div class="col-xs-4 col-sm-4 col-md-4 col-lg-4">
					Email:<br />
					<input id="email" name="email" value='<s:property value="usuario.email"/>' type="text" class="form-control input-block" placeholder="Email"/>
				</div>
			</div>
			<div class="row">
				<div class="col-xs-6 col-sm-6 col-md-6 col-lg-6">
					Clave:<br />
					<input id="pass1" name="pass1" type="password" class="form-control input-block" placeholder="Clave"/>
				</div>
				<div class="col-xs-6 col-sm-6 col-md-6 col-lg-6">
					Repita la clave:<br />
					<input id="pass2" name="pass2" type="password" class="form-control input-block" placeholder="Repita la clave"/>
				</div>
			</div>
			<div class="row">
				<div class="col-xs-6 col-sm-6 col-md-6 col-lg-6">
					<s:if test="%{usuario != null}">
					<small>Si no quiere cambiar la contrasea deje los campos en blanco</small>
					</s:if>
				</div>
			</div>
		</div>				
	</div>
</div>

<s:hidden name="id" value="%{usuario.id}"></s:hidden>
</s:form>
<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
        <h4 class="modal-title" id="myModalLabel">Eliminar usuario</h4>
      </div>
      <div class="modal-body">
        Se dispone a eliminar el usuario <s:property value="%{usuario.nombre}"/>. Est seguro?
      </div>
      <div class="modal-footer">
        <form action="/TFC/backend/usuarios/eliminar.action" method="post">
        	<button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
        	<input type="hidden" name="id" value='<s:property value="usuario.id"/>' />
        	<button type="submit" class="btn btn-danger">Eliminar</button>
        </form>
      </div>
    </div>
  </div>
</div>
<jsp:include page="footer.jsp" />