<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="s"  uri="/struts-tags" %>
<%@ taglib prefix="sb" uri="/struts-bootstrap-tags" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<jsp:include page="header.jsp" />
<s:form action="%{accion}" cssClass="form">

<div class="container">	
	<div class="row">
		<div class="col-xs-6 col-sm-6 col-md-6 col-lg-6">
			<h3><s:if test="%{cliente != null}">Editar</s:if>
				<s:else>Nuevo</s:else> Cliente</h3>
		</div>
		<div class="col-xs-6 col-sm-6 col-md-6 col-lg-6 text-right">
			<a href="/TFC/clientes" class="btn">Atras</a>
			<button type="submit" class="btn btn-warning">Guardar Cliente</button> 
			<s:if test="%{cliente != null}">
				<!-- <input type="button" class="btn btn-danger"  value="Eliminar Cliente" />-->
				<button type="button" class="btn btn-danger" data-toggle="modal" data-target="#myModal">
				  Eliminar Cliente
				</button>
			</s:if>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-9 col-sm-9 col-md-9 col-lg-9">
			<div class="row">
				<div class="col-xs-6 col-sm-6 col-md-6 col-lg-6">
					Nombre:<br />
					<input id="nombre" name="nombre" value='<s:property value="cliente.nombre"/>' type="text" class="form-control input-block" placeholder="Nombre"/>
				</div>
				<div class="col-xs-6 col-sm-6 col-md-6 col-lg-6">
					Apellidos:<br />
					<!-- <s:textfield cssClass="form-control input-block" name="apellidos" var="cliente.apellidos" id="apellidos" /> -->
					<input id="apellidos" name="apellidos" value='<s:property value="cliente.apellidos"/>' type="text" class="form-control input-block" placeholder="Apellidos"/>
				</div>
			</div>
			<div class="row">
				<div class="col-xs-6 col-sm-6 col-md-6 col-lg-6">
					Email:<br />
					<input id="email" name="email" value='<s:property value="cliente.email"/>' type="text" class="form-control input-block" placeholder="Email"/>
				</div>
				<div class="col-xs-6 col-sm-6 col-md-6 col-lg-6">
					Telefono:<br />
					<input id="telefono" name="telefono" value='<s:property value="cliente.telefono"/>' type="text" class="form-control input-block" placeholder="Telefono"/>
				</div>
			</div>
			<div class="row">
				<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
					Direccion:<br />
					<input id="direccion" name="direccion" value='<s:property value="cliente.direccion"/>' type="text" class="form-control input-block" placeholder="Direccion"/>
				</div>
			</div>
			<div class="row">
				<div class="col-xs-4 col-sm-4 col-md-4 col-lg-4">
					Municipio:<br />
					<input id="municipio" name="municipio" value='<s:property value="cliente.municipio"/>' type="text" class="form-control input-block" placeholder="Municipio"/>
				</div>
				<div class="col-xs-4 col-sm-4 col-md-4 col-lg-4">
					Codigo Postal:<br />
					<input id="cp" name="cp" value='<s:property value="cliente.cp"/>' type="text" class="form-control input-block" placeholder="Codigo Postal"/>
				</div>
				<div class="col-xs-4 col-sm-4 col-md-4 col-lg-4">
					Provincia:<br />
					<input id="provincia" name="provincia" value='<s:property value="cliente.provincia"/>' type="text" class="form-control input-block" placeholder="Provincia"/>
				</div>
			</div>
			<div class="row">
				<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
					Patologia:<br />
					<input id="patologia" name="patologia" value='<s:property value="cliente.patologia"/>' type="text" class="form-control input-block" placeholder="Patologia"/>
				</div>
			</div>
			<div class="row">
				<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
					Evolucion:<br />
					<textarea id="evolucion" name="evolucion" class="form-control input-block" placeholder="Evolucion">
						<s:property value="cliente.evolucion"/>
					</textarea>
				</div>
			</div>
		</div>				
	</div>
</div>
<s:hidden name="id" value="%{cliente.id}"></s:hidden>
</s:form>
<s:if test="%{cliente != null}">
<div class="container">
	<h3>Citas:</h3>
	<button type="button" class="btn btn-info" data-toggle="modal" data-target="#myModalNuevaCita">
		Nueva Cita
	</button>
	<table class="table">
		<thead>
			<td>Inicio</td>
			<td>Fin</td>
			<td>Descripci&oacute;n</td>
			<td></td>
		</thead>
		<tbody>
			<s:iterator value="citas">
				<tr>
					<td><s:date name="start" format="dd/MM/yyyy HH:mm" /></td>
					<td><s:date name="end" format="dd/MM/yyyy HH:mm" /></td>
					<td><s:property value="title"/></td>
					<td><button type="button" class="btn btn-danger btn-sm" data-name="eliminarCita" data-id='<s:property value="id"/>'>
				  			Eliminar Cita
						</button>
					</td>
				</tr>
			</s:iterator>
		</tbody>
	</table>
</div>
</s:if>
<div class="modal fade" id="myModalEliminarCita" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
        <h4 class="modal-title" id="myModalLabel">Eliminar cita</h4>
      </div>
      <div class="modal-body">
        Se dispone a eliminar la cita con el cliente <s:property value="%{cliente.nombreCompleto}"/>. Est seguro?
      </div>
      <div class="modal-footer">
        <form action="/TFC/eliminarCita.action" method="post">
        	<button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
        	<input type="hidden" name="idCita"  />
        	<input type="hidden" name="idCliente" value='<s:property value="cliente.id"/>' />
        	<button type="submit" class="btn btn-danger">Eliminar</button>
        </form>
      </div>
    </div>
  </div>
</div>
<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
        <h4 class="modal-title" id="myModalLabel">Eliminar cliente</h4>
      </div>
      <div class="modal-body">
        Se dispone a eliminar el cliente <s:property value="%{cliente.nombreCompleto}"/>. Est seguro?
      </div>
      <div class="modal-footer">
        <form action="/TFC/clientes/eliminar.action" method="post">
        	<button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
        	<input type="hidden" name="id" value='<s:property value="cliente.id"/>' />
        	<button type="submit" class="btn btn-danger">Eliminar</button>
        </form>
      </div>
    </div>
  </div>
</div>
<div class="modal fade" id="myModalNuevaCita" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
<form action="/TFC/guardarCita.action" method="post">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
        <h4 class="modal-title" id="myModalLabel">Nueva Cita</h4>
      </div>
      <div class="modal-body">
      	<div class="row">
      		<div class="col-xs-6 col-sm-6 col-md-6 col-lg-6">
        		<div class="form-group">
                	<div class='input-group date' id='datetimepicker1'>
                    	<input type='text' class="form-control" name="start"/>
                    	<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
                    	</span>
                	</div>
            	</div>
            </div>
            <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6">
            	<div class="form-group">
                	<div class='input-group date' id='datetimepicker2'>
                    	<input type='text' class="form-control" name="end"/>
                    	<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
                    	</span>
                	</div>
            	</div>
            </div>
      	</div>
      	<div class="row">
      		<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
      			<input id="title" name="title" type="text" class="form-control input-block" placeholder="Descripci&oacute;n"/>
      		</div>
      	</div>
      </div>
      <div class="modal-footer">
        	<button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
        	<input type="hidden" name="id" value='<s:property value="cliente.id"/>'" />
        	<button type="submit" class="btn btn-info">Guardar Cita</button>
      </div>
    </div>
  </div>
  </form>
</div>
<jsp:include page="footer.jsp" />