package com.rlozano.tfc.actions.backend;

import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Namespace;
import org.apache.struts2.convention.annotation.Result;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import com.rlozano.tfc.dao.AdminDAO;
import com.rlozano.tfc.interfaces.ConstatnsInterface;


@Namespace(value="/backend")
@Action(value="index", results={
		@Result(location="/backend/index.jsp", name="success"),
		@Result(location="/index.jsp", name="error")
})
public class IndexAction extends ActionSupport implements ConstatnsInterface{
	private static final long serialVersionUID = -2659037382377054341L;
	private String error;
	
	public String execute(){
		return SUCCESS;
	}

	public String getError() {
		return error;
	}

	public void setError(String error) {
		this.error = error;
	}
	
	
	
}
