package com.rlozano.tfc.actions.backend;

import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Namespace;
import org.apache.struts2.convention.annotation.Result;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import com.rlozano.tfc.dao.AdminDAO;
import com.rlozano.tfc.interfaces.ConstatnsInterface;


@Namespace(value="/backend")
@Action(value="login", results={
		@Result(location="/backend/welcome.jsp", name="success"),
		@Result(location="index", name="error", type="redirect" , params={"error", "Usuario o password incorrectos"})
})
public class loginAction extends ActionSupport implements ConstatnsInterface{
	private static final long serialVersionUID = -2659037382377054341L;
	private String username;
	private String password;
	
	public String execute(){
		boolean logged = AdminDAO.login(username, password);
		if(logged){
			ActionContext.getContext().getSession().put(SESSION,username);
		}
		return logged?SUCCESS:ERROR;
	}
	
	
	public String getUsername() {
		return username;
	}
	public void setUsername(String username) {
		this.username = username;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	
	
}
