package com.rlozano.tfc.actions.backend.usuarios;

import java.util.List;

import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Namespace;
import org.apache.struts2.convention.annotation.Result;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import com.rlozano.tfc.dao.UsuarioDAO;
import com.rlozano.tfc.interfaces.ConstatnsInterface;
import com.rlozano.tfc.models.Cliente;
import com.rlozano.tfc.models.Usuario;


@Namespace(value="/backend")
@Action(value="usuarios", results={
		@Result(location="/backend/listUsuarios.jsp", name="success"),
		@Result(location="/error.jsp", name="error")
})
public class ListUsuariosAction extends ActionSupport implements ConstatnsInterface{

	private static final long serialVersionUID = 673535456578947843L;
	
	private List<Usuario> usuarios;
	
	public String execute(){
		boolean logged = ActionContext.getContext().getSession().get(SESSION) != null;
		if(logged){
			setUsuarios(UsuarioDAO.getListado());
		}
		return logged?SUCCESS:ERROR;
	}

	public List<Usuario> getUsuarios() {
		return usuarios;
	}

	public void setUsuarios(List<Usuario> usuarios) {
		this.usuarios = usuarios;
	}

	
	
	
	
}
