package com.rlozano.tfc.actions.frontend.clientes;

import java.util.List;

import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Namespace;
import org.apache.struts2.convention.annotation.Result;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import com.rlozano.tfc.dao.ClientesDAO;
import com.rlozano.tfc.interfaces.ConstatnsInterface;
import com.rlozano.tfc.models.Cita;
import com.rlozano.tfc.models.Cliente;


@Namespace(value="/clientes")
@Action(value="editar", results={
		@Result(location="/editUsuario.jsp", name="success"),
		@Result(location="/error.jsp", name="error")
})
public class EditarClienteAction extends ActionSupport implements ConstatnsInterface{

	private static final long serialVersionUID = 673535456578947843L;
	
	private Cliente cliente;
	private List<Cita> citas;
	private Integer id;
	
	public String execute(){
		
		boolean logged = ActionContext.getContext().getSession().get(SESSION) != null;
		if(logged){
			cliente = ClientesDAO.getCliente(id);
			setCitas(ClientesDAO.getCitas(id));
		}
		return logged?SUCCESS:ERROR;
	}
	
	public String getAccion(){
		return "guardar";
	}

	public Cliente getCliente() {
		return cliente;
	}

	public void setCliente(Cliente cliente) {
		this.cliente = cliente;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public List<Cita> getCitas() {
		return citas;
	}

	public void setCitas(List<Cita> citas) {
		this.citas = citas;
	}

	
	
	
	
}
