package com.rlozano.tfc.actions.frontend.clientes;

import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Namespace;
import org.apache.struts2.convention.annotation.Result;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import com.rlozano.tfc.dao.CitasDAO;
import com.rlozano.tfc.dao.ClientesDAO;
import com.rlozano.tfc.interfaces.ConstatnsInterface;
import com.rlozano.tfc.models.Cliente;


@Namespace(value="/")
@Action(value="eliminarCita", results={
		//@Result(location="editarUsuario", type="redirectAction", name="success", params={"id","%{idCliente}"}),
		@Result(name = "success", type = "redirectAction",
			params = {"namespace", "/clientes", "id", "${idCliente}", "actionName", "editar"}),
		@Result(location="/error.jsp", name="error")
})
public class EliminarCitaClienteAction extends ActionSupport implements ConstatnsInterface{

	private static final long serialVersionUID = 673535456578947843L;
	
	private Integer idCita;
	private Integer idCliente;
	
	public String execute(){
		
		boolean logged = ActionContext.getContext().getSession().get(SESSION) != null;
		if(logged){
			CitasDAO.eliminarCita(idCita);
		}
		return logged?SUCCESS:ERROR;
	}

	public Integer getIdCita() {
		return idCita;
	}

	public void setIdCita(Integer id) {
		this.idCita = id;
	}

	public Integer getIdCliente() {
		return idCliente;
	}

	public void setIdCliente(Integer idCliente) {
		this.idCliente = idCliente;
	}

	
	
	
	
}
