package com.rlozano.tfc.actions.frontend.clientes;

import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Namespace;
import org.apache.struts2.convention.annotation.Result;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import com.rlozano.tfc.dao.ClientesDAO;
import com.rlozano.tfc.interfaces.ConstatnsInterface;
import com.rlozano.tfc.models.Cliente;


@Namespace(value="/clientes")
@Action(value="eliminar", results={
		@Result(location="/clientes", type="redirect", name="success"),
		@Result(location="/error.jsp", name="error")
})
public class EliminarClienteAction extends ActionSupport implements ConstatnsInterface{

	private static final long serialVersionUID = 673535456578947843L;
	
	private Integer id;
	
	public String execute(){
		boolean logged = ActionContext.getContext().getSession().get(SESSION) != null;
		if(logged){
			ClientesDAO.eliminarCliente(id);
		}
		return logged?SUCCESS:ERROR;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	
	
	
	
}
