package com.rlozano.tfc.actions.frontend.clientes;

import java.util.Date;

import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Namespace;
import org.apache.struts2.convention.annotation.Result;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import com.rlozano.tfc.dao.CitasDAO;
import com.rlozano.tfc.interfaces.ConstatnsInterface;
import com.rlozano.tfc.models.Cita;


@Namespace(value="/")
@Action(value="guardarCita", results={
		@Result(location="calendario", type="redirect", name="success"),
		@Result(location="/error.jsp", name="error")
})
public class GuardarCitaClienteAction extends ActionSupport implements ConstatnsInterface{

	private static final long serialVersionUID = 673535456578947843L;
	
	private Integer id;
	private Date start;
	private Date end;
	private String title;
	
	public String execute(){
		boolean logged = ActionContext.getContext().getSession().get(SESSION) != null;
		if(logged){
			CitasDAO.insertarCita(new Cita(null, title, start, end), id);
		}
		return logged?SUCCESS:ERROR;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Date getStart() {
		return start;
	}

	public void setStart(Date start) {
		this.start = start;
	}

	public Date getEnd() {
		return end;
	}

	public void setEnd(Date end) {
		this.end = end;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	
	
	
	
}
