package com.rlozano.tfc.actions.frontend.clientes;

import java.util.List;

import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Namespace;
import org.apache.struts2.convention.annotation.Result;

import com.forms.model.Cliente__;
import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import com.rlozano.tfc.dao.AdminDAO;
import com.rlozano.tfc.dao.ClientesDAO;
import com.rlozano.tfc.interfaces.ConstatnsInterface;
import com.rlozano.tfc.models.Cliente;


@Namespace(value="/")
@Action(value="clientes", results={
		@Result(location="/listUsuarios.jsp", name="success"),
		@Result(location="/error.jsp", name="error")
})
public class ListClienteAction extends ActionSupport implements ConstatnsInterface{

	private static final long serialVersionUID = 673535456578947843L;
	
	private List<Cliente> clientes;
	
	public String execute(){
		
		boolean logged = ActionContext.getContext().getSession().get(SESSION) != null;
		if(logged){
			clientes = ClientesDAO.getListado();
		}
		return logged?SUCCESS:ERROR;
	}

	public List<Cliente> getClientes() {
		return clientes;
	}

	public void setClientes(List<Cliente> clientes) {
		this.clientes = clientes;
	}
	
	
	
}
